List MIDs
curl -X GET "https://sandbox-api.aparatech.io/v1/public/config/list-mids?limit=5&page=1" \
-H "Content-Type: application/json" \
-H "MID: example_string"
import requests
import json
url = "https://sandbox-api.aparatech.io/v1/public/config/list-mids?limit=5&page=1"
headers = {
"Content-Type": "application/json",
"MID": "example_string"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://sandbox-api.aparatech.io/v1/public/config/list-mids?limit=5&page=1", {
method: "GET",
headers: {
"Content-Type": "application/json",
"MID": "example_string"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://sandbox-api.aparatech.io/v1/public/config/list-mids?limit=5&page=1", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("MID", "example_string")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://sandbox-api.aparatech.io/v1/public/config/list-mids?limit=5&page=1')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['MID'] = 'example_string'
response = http.request(request)
puts response.body
{
"status": "success",
"data": [
{
"mid": "KLAAHJY_NA_NA",
"name": "Your Name",
"status": "active",
"level": "customer"
}
]
}
GET
/v1/public/config/list-mids
GET
Base URLstring
Target server for requests. Edit to use your own host.
query
limitinteger
Number of results per page.
query
pageinteger
Page number for pagination.
header
MIDstring
RequiredMerchant ID for authentication.
Request Preview
Response
Response will appear here after sending the request
Query Parameters
limitinteger
Number of results per page.
pageinteger
Page number for pagination.
Headers
MIDstring
RequiredMerchant ID for authentication.
Responses
statusstring
dataarray
Was this page helpful?